Version 0.9.2

Unstable 0.9.0

Gnome15 provides a panel indicator (or applet), configuration tool, macro system and plugin framework for the Logitech G series keyboards and headsets, including the G15, G19, G13, G930, G35, G510, G11, G110 and the Z-10 speakers. The intention is to provide the best integration with the Linux desktop possible, using the standard protocols and libraries where appropriate.

Written using Python, PyGTK and PyCairo, Gnome15 is easy to extend. You can either write Python Plugins that can optionally use SVG for theme support, or use DBUS API (Java bindings also available) to add Gnome15 support to your own application . See the downloads page for a full list of pre-requisites. Pre-built native packages are currently available for Ubuntu 10.4 to 12.10, Fedora 16 and 17, Debian 6, openSUSE 11.4 and openSUSE 12.1 . Contributors have provided packages for Arch Linux, Gentoo and Sabayon Entropy.

See Features and Screenshots for a full description of what Gnome15 can do


Gnome15 works best with GNOME desktop, but will work well with other GTK based desktops such as XFCE (minus a few plugins). It should also work on KDE, but will still require GTK to be installed. We also have integration with Ubuntu using an Indicator, GNOME Shell using an extension, and a system tray icon for everyone else.


g19 z10 g15

Gnome15 should work with the following Logitech devices. See here for a more complete description of what should be supported.

Kommentar verfassen

%d Bloggern gefällt das: